Version 2.2.0 does not work on my Mac


#1

Hello there,
I tried to install CP version (2.2.0) on my IMac but it gives the error in the attached images. Our IT support tried with three Mac computers but all of them gave the same error. I do not know whether somebody can help?
Note: currently I’m running version (2.1.1) and it works fine.
Best Regards
Ahmed


#2

Hi, can you try re-install Java dev. kit (JDK), 32 or 64-bit according to your OS ?

Although unrelated, but please have a look at the discussion here for proper installation of various components.

Bests


#3

Slight note on what Minh said- you have to use 64 bit Java and JDK (both must be installed) for CP to work.


#4

But this does not explain why the old version works fine, but I’m trying that.


#5

2.1.1 and earlier came packaged with the particular build of Java that they needed, but for technical reasons that was dropped in 2.2.0 and later versions; it’s therefore possible to have 2.1 run fine on your system but still have the insufficient Java tools needed to run 2.2+.


#6

Hello again,
So I installed Java Development Kit (JDK) for 64-bit and CellProfiler works fine now.
Thanks a million!